import { vDasTooltip } from '@das-fed/ui';
import { ElBreadcrumb } from 'element-plus';
import 'element-plus/es/components/breadcrumb/style/css';
import { ArrowRight } from '@element-plus/icons-vue';
import DasBreadCrumbItem from './BreadCrumbItem.vue';
import type { Props } from './type';
declare const handleClickItem: (item: any, index: number) => void;
declare const __VLS_ctx: InstanceType<__VLS_PickNotAny<typeof __VLS_self, new () => {}>>;
declare var __VLS_1: {}, __VLS_15: string, __VLS_16: {}, __VLS_18: {};
type __VLS_Slots = __VLS_PrettifyGlobal<__VLS_OmitStringIndex<typeof __VLS_ctx.$slots> & {
    [K in NonNullable<typeof __VLS_15>]?: (props: typeof __VLS_16) => any;
} & {
    left?: (props: typeof __VLS_1) => any;
} & {
    right?: (props: typeof __VLS_18) => any;
}>;
declare const __VLS_self: import("vue").DefineComponent<Props, {
    vDasTooltip: typeof vDasTooltip;
    ElBreadcrumb: typeof ElBreadcrumb;
    ArrowRight: typeof ArrowRight;
    DasBreadCrumbItem: typeof DasBreadCrumbItem;
    handleClickItem: typeof handleClickItem;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "click-item": (item: any, index: number) => any;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    "onClick-item"?: ((item: any, index: number) => any) | undefined;
}>, {
    data: Array<import("./type").itemProp>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_component: import("vue").DefineComponent<Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "click-item": (item: any, index: number) => any;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    "onClick-item"?: ((item: any, index: number) => any) | undefined;
}>, {
    data: Array<import("./type").itemProp>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
